Subject: bug#15778: 24.3; cperl-mode causes emacs to lock up

From: Nathan Trapuzzano <[email-masked]>
Date: Sun, 03 Nov 2013 07:00:51 -0500

Stephen Berman <[email-masked]> writes:

> Well, I rebuilt (with make bootstrap) from the current truck (bzr
> 114907), and still get the infloop from -Q with the OP's recipe minus
> the defalias.

Same here.  The defalias should not be making a difference.

I'm having a really hard time debugging this with Edebug.  After I
instrument the function (cperl-font-lock-fontify-region-function), the
debugger is still not invoked when the function is entered.  If I add an
explicit call to (edebug), it breaks correctly, but when I try to step
past it, the debugger just exits, and the function resumes.

Anyone have a suggestion?